#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_SP2(void)
{
#if (PRO_SP2)
    if (JudgePartNum() == PartNum_SP2){
        SetTelltalePos("HBAGreen",              HBAGreen);
        SetTelltalePos("HBAWhite",              HBAWhite);
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("FrontFog",              FrontFog);
        SetTelltalePos("RearFog",                RearFog);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("OverSpeed",            OverSpeed);
        SetTelltalePos("EPB",                        EPB);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("DBCGreen",              DBCGreen);
        SetTelltalePos("DBCYellow",            DBCYellow);
        SetTelltalePos("LedLampFail",        LedLampFail);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("FcaYellow",            FcaYellow);
        SetTelltalePos("FcaRed",                  FcaRed);
        SetTelltalePos("InteriorLamp",      InteriorLamp);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("DpfGpf",                  DpfGpf);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }else if (JudgePartNum() == PartNum_SP2I){
        SetTelltalePos("HBAGreen",              HBAGreen);
        SetTelltalePos("HBAWhite",              HBAWhite);
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("FrontFog",              FrontFog);
        SetTelltalePos("RearFog",                RearFog);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("OverSpeed",            OverSpeed);
        SetTelltalePos("EPB",                        EPB);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("LED Lamp Fail",      LedLampFail);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("FcaYellow",            FcaYellow);
        SetTelltalePos("FcaRed",                  FcaRed);
        SetTelltalePos("ECALL",                    Ecall);
        SetTelltalePos("InteriorLamp",      InteriorLamp);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("GLOW",                      Glow);
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("DpfGpf",                  DpfGpf);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("SCR",                        SCR);
        SetTelltalePos("Water Saperator", WaterSaperator);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }
#endif
}


